=== debian/control ===
Source: ros-lunar-ibeo-lux
Section: misc
Priority: extra
Maintainer: AutonomouStuff Software Development Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-ibeo-core, ros-lunar-ibeo-msgs, ros-lunar-network-interface, ros-lunar-pcl-ros, ros-lunar-roscpp, ros-lunar-std-msgs, ros-lunar-visualization-msgs
Homepage: http://wiki.ros.org/ibeo_lux
Standards-Version: 3.9.2

Package: ros-lunar-ibeo-lux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geometry-msgs, ros-lunar-ibeo-core, ros-lunar-ibeo-msgs, ros-lunar-network-interface, ros-lunar-pcl-ros, ros-lunar-roscpp, ros-lunar-std-msgs, ros-lunar-visualization-msgs
Description: ROS driver for IBEO LUX
